#!/usr/bin/env python3

import sys
from pentest_tls import port_scanner

def process(ports: list, ip: str) -> None:
    open_ports = []
    for port in sorted(ports):
        sys.stdout.flush()
        if port_scanner.scan_port(ip, port):
            open_ports.append(port)
            print(f"[+] {ip}:{port}     OPEN")
        else:
            print(f"[-] {ip}:{port}     CLOSED/FILTERED")
    if open_ports:
        print(f">>> Opened: {sorted(open_ports)}")
    else:
        print(">>> No open ports were detected.")
